be.ehealth.businessconnector.ehbox.v3.exception

## Class OoOPublicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.technicalconnector.exception.ConnectorException
      - - be.ehealth.businessconnector.ehbox.v3.exception.OoOPublicationException

- All Implemented Interfaces:
    Serializable

      public class OoOPublicationException
      extends ConnectorException

  Exception for the OoO problem in ehboxv3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OoOPublicationException(String message, String errorCode, SendMessageResponse response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SendMessageResponse` | `getResponse()` Getter for the send message response.

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OoOPublicationException

          public OoOPublicationException(String message,
                                         String errorCode,
                                         SendMessageResponse response)

      Parameters:
        `message` -
        `errorCode` -

  - ### Method Detail

    - #### getResponse

          public final SendMessageResponse getResponse()

      Getter for the send message response. This response contains the list of all recipients with, for each of them, their id, quality, type, subtype, list of substitues but also AbsentFrom and AbsentTo dates. This allows to check the returned substitutes for the out of office recipients.
      Returns:
        the response

Connector Package PERSMIDWIFE 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.